[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / UseRemoteMethod

# Function: UseRemoteMethod()

> **UseRemoteMethod**(`remoteMethod`, `name`): (`target`, `propertyKey`) => `void`

Defined in: [packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:45](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts#L45)

## Parameters

### remoteMethod

`Constructor`\<`BaseRemoteMethod`\<`any`, `any`, `BaseRemoteMethodMetadata`\>\>

### name

`string`

## Returns

`Function`

### Parameters

#### target

`any`

#### propertyKey

`string`

### Returns

`void`
